package com.ruoyi.project.business.mapper;

import com.ruoyi.project.business.domain.TpAreaElevatorModelPara;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-25
 */
public interface TpAreaElevatorModelParaMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TpAreaElevatorModelPara selectTpAreaElevatorModelParaById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tpAreaElevatorModelPara 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TpAreaElevatorModelPara> selectTpAreaElevatorModelParaList(TpAreaElevatorModelPara tpAreaElevatorModelPara);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tpAreaElevatorModelPara 【请填写功能名称】
     * @return 结果
     */
    public int insertTpAreaElevatorModelPara(TpAreaElevatorModelPara tpAreaElevatorModelPara);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tpAreaElevatorModelPara 【请填写功能名称】
     * @return 结果
     */
    public int updateTpAreaElevatorModelPara(TpAreaElevatorModelPara tpAreaElevatorModelPara);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTpAreaElevatorModelParaById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTpAreaElevatorModelParaByIds(Long[] ids);

    int InsertBySql(@Param("list") List<TpAreaElevatorModelPara> list);

    int deleteTpAreaElevatorModelParaByParaIds(@Param("ids") Long[] ids, @Param("elevatorModelId") Long elevatorModelId);

    int realDeleteTpAreaElevatorModelParaByParaIds(@Param("ids") Long[] ids, @Param("elevatorModelId") Long elevatorModelId);

    int deleteTpAreaElevatorByElevatorModelId(Long elevatorModelId);

    int selectAreaCount(Long paraId);
}
